Package net.sf.robocode.security

# Interface IHiddenSpecificationHelper

public interface IHiddenSpecificationHelper

Author:
  Pavel Savara (original)

## Method Summary

Modifier and Type
Method
Description
`RobotSpecification`
`createSpecification(Object specification, String name, String author, String webpage, String version, String robocodeVersion, String jarFile, String fullClassName, String description)`
`Object`
`getFileSpecification(RobotSpecification specification)`
`String`
`getTeamName(RobotSpecification specification)`
`void`
`setTeamName(RobotSpecification specification, String teamName)`

## Method Details

### createSpecification

RobotSpecification createSpecification(Object specification, String name, String author, String webpage, String version, String robocodeVersion, String jarFile, String fullClassName, String description)

### getFileSpecification

Object getFileSpecification(RobotSpecification specification)

### setTeamName

void setTeamName(RobotSpecification specification, String teamName)

### getTeamName

String getTeamName(RobotSpecification specification)